Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
Halide::Runtime::Internal::SystemMemoryAllocatorFns Struct Reference

`#include <memory_resources.h>`

## Public Attributes
AllocateSystemFn | allocate = nullptr
DeallocateSystemFn | deallocate = nullptr

## Detailed Description

Definition at line 193 of file memory_resources.h.

## Member Data Documentation

## ◆ allocate

AllocateSystemFn Halide::Runtime::Internal::SystemMemoryAllocatorFns::allocate = nullptr

Definition at line 194 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::BlockStorage::BlockStorage(), Halide::Runtime::Internal::RegionAllocator::create(), Halide::Runtime::Internal::BlockAllocator::create(), Halide::Runtime::Internal::MemoryArena::create(), Halide::Runtime::Internal::StringStorage::create(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create_crop(), Halide::Runtime::Internal::PointerTable::PointerTable(), Halide::Runtime::Internal::BlockStorage::shrink_to_fit(), and Halide::Runtime::Internal::PointerTable::shrink_to_fit().

## ◆ deallocate

DeallocateSystemFn Halide::Runtime::Internal::SystemMemoryAllocatorFns::deallocate = nullptr

Definition at line 195 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::BlockStorage::BlockStorage(), Halide::Runtime::Internal::BlockStorage::destroy(), Halide::Runtime::Internal::PointerTable::destroy(), Halide::Runtime::Internal::BlockAllocator::destroy(), Halide::Runtime::Internal::MemoryArena::destroy(), Halide::Runtime::Internal::RegionAllocator::destroy(), Halide::Runtime::Internal::StringStorage::destroy(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::destroy(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::destroy_crop(), Halide::Runtime::Internal::PointerTable::PointerTable(), Halide::Runtime::Internal::BlockStorage::shrink_to_fit(), and Halide::Runtime::Internal::PointerTable::shrink_to_fit().

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h